### Hierarchy

- AIListItemWrapperComponent

## Index

### Inputs

- disabled
- draggable
- isDragging
- isSelectable
- size

### Outputs

- dragEnd
- dragOverAbove
- dragOverBelow
- dragOverNested
- dragStart
- droppedAbove
- droppedBelow
- droppedNested

### Constructors

- constructor

### Properties

- disabled
- dragEnd
- dragOverAbove
- dragOverBelow
- dragOverNested
- dragStart
- draggable
- droppedAbove
- droppedBelow
- droppedNested
- isDragging
- isSelectable
- size

## Constructors

### constructor

- new AIListItemWrapperComponent(): AIListItemWrapperComponent

- #### Returns AIListItemWrapperComponent

## Properties

### disabled

@Input()
disabled: boolean = false

- Defined in packages/angular/src/list/list-item/ai-list-item-wrapper.component.ts:64

### dragEnd

@Output()
dragEnd: EventEmitter<any> = ...

- Defined in packages/angular/src/list/list-item/ai-list-item-wrapper.component.ts:68

### dragOverAbove

@Output()
dragOverAbove: EventEmitter<any> = ...

- Defined in packages/angular/src/list/list-item/ai-list-item-wrapper.component.ts:70

### dragOverBelow

@Output()
dragOverBelow: EventEmitter<any> = ...

- Defined in packages/angular/src/list/list-item/ai-list-item-wrapper.component.ts:72

### dragOverNested

@Output()
dragOverNested: EventEmitter<any> = ...

- Defined in packages/angular/src/list/list-item/ai-list-item-wrapper.component.ts:74

### dragStart

@Output()
dragStart: EventEmitter<any> = ...

- Defined in packages/angular/src/list/list-item/ai-list-item-wrapper.component.ts:66

### draggable

@Input()
draggable: boolean = false

- Defined in packages/angular/src/list/list-item/ai-list-item-wrapper.component.ts:53

Indicates whether or not the item can be dragged into a different position.

### droppedAbove

@Output()
droppedAbove: EventEmitter<any> = ...

- Defined in packages/angular/src/list/list-item/ai-list-item-wrapper.component.ts:78

### droppedBelow

@Output()
droppedBelow: EventEmitter<any> = ...

- Defined in packages/angular/src/list/list-item/ai-list-item-wrapper.component.ts:76

### droppedNested

@Output()
droppedNested: EventEmitter<any> = ...

- Defined in packages/angular/src/list/list-item/ai-list-item-wrapper.component.ts:80

### isDragging

@Input()
isDragging: boolean = false

- Defined in packages/angular/src/list/list-item/ai-list-item-wrapper.component.ts:55

### isSelectable

@Input()
isSelectable: boolean = false

- Defined in packages/angular/src/list/list-item/ai-list-item-wrapper.component.ts:60

Indicates whether or not the list item can be selected.

### size

@Input()
size: "md" | "lg" = 'md'

- Defined in packages/angular/src/list/list-item/ai-list-item-wrapper.component.ts:62

Generated using TypeDoc